package org.eclipse.palamedes.gdl.core.ast;

import org.eclipse.palamedes.kif.core.ast.KIFImplication;

public class RuleTerminal extends Rule {

    /**
    * The constructor of checks whether the node fits the criteria of a
    * terminal rule.
    *
    * @param node
    *            Implication with a terminal rule inside.
    */
    RuleTerminal(KIFImplication node) {
        super(node);

        // the constant of the relation sentence has to be "legal"
        if ("terminal".compareToIgnoreCase(getHeadLvl1Const()) != 0)
            throw new IllegalArgumentException();

    }

}
