package org.eclipse.palamedes.gdl.core.ast;

import org.eclipse.palamedes.kif.core.ast.KIFImplication;


public class RuleNext extends Rule {

    /**
     * The constructor of whether the node fits the criteria of a next rule.
     *
     * @param node Implication with a legal rule inside.
     */
    RuleNext(KIFImplication node) {
        super(node);

        // the constant of the relation sentence has to be "legal"
        if ( "next".compareToIgnoreCase( getHeadLvl1Const() ) != 0 )
            throw new IllegalArgumentException();
    }

}
