package org.eclipse.palamedes.gdl.core.ast;

import org.eclipse.palamedes.kif.core.ast.KIFRelSent;
import org.eclipse.palamedes.kif.core.ast.KIFTerm;


public class True extends KIFRelSent {

    True(KIFRelSent relation) {
        super(relation.getAST());
        copyMembers(relation);

        if ( !"true".equalsIgnoreCase(getName()) )
            throw new IllegalArgumentException();
    }

    public KIFTerm getArgument() {
        return getTerms().get(0);
    }

}
